There is no specific API endpoint, instead you should request JSON from the usual URLs
By setting application/json in the Accept http header of your request, the
results will be returned to you as JSON instead of HTML.
All fields in the response are searchable.
Registering a API key is free for researchers and will grant you access to the whole index, you can use it by specifying the api-key header during your request:
$ curl -sqH'api-key: OdSLLMwk7XuTksJdIVFCb_AUcjtMohXIQLUkvrlzEBqMnVbY' -H'Accept: application/json' 'https://leakix.net/host/78.47.222.185'|jq
Will reply two lists, Services and Leaks. Their respective schema can be found
below.
$ curl -sqH'Accept: application/json' 'https://leakix.net/host/78.47.222.185'|jq
{"Services":[...services...], "Leaks":[...leaks...]}
Will return services results:
$ curl -sqH'Accept: application/json' 'https://leakix.net/search?q=*&scope=service'|jq
[{
"ip": "35.247.167.166",
"port": "443",
"type": "http",
"time": "2020-12-27T15:42:37Z",
"date": 1609083757,
"data": "Content-Type : text/html; charset=UTF-8\nServer-Timing : cache;desc=none\n",
"headers": {
"Cache-Control": [
"no-cache"
],
"Content-Type": [
"text/html; charset=UTF-8"
],
"Date": [
"Sun, 27 Dec 2020 15:42:37 GMT"
],
"Server": [
"Pepyaka/1.19.0"
],
"Strict-Transport-Security": [
"max-age=120"
]
},
"plugin": "",
"network": {
"organization_name": "Google LLC",
"asn": 15169
},
"geoip": {
"continent_name": "Asia",
"region_iso_code": "",
"city_name": "",
"country_iso_code": "",
"country_name": "",
"region_name": "",
"location": {
"lat": 35,
"lon": 105
}
},
"credentials": null,
"software": {
"name": "Pepyaka",
"version": "1.19.0",
"os": "",
"modules": null,
"fingerprint": "pepyaka-1-19-0"
},
"reverse": "166.167.247.35.bc.googleusercontent.com",
"hostname": "www.supercocotte.ch",
"dataset": {
"rows": 0,
"size": 0,
"databases": 0,
"infected": false
},
"certificate": {
"jarm": "c705201ae6678fcfcafc4897ee1355352647809d8722120b45bc2a2cc2d1f019",
"cn": "supercocotte.ch",
"domains": [
"supercocotte.ch",
"www.supercocotte.ch"
],
"fingerprint": "c705201ae6678fcfcafc4897ee1355352647809d8722120b45bc2a2cc2d1f019",
"key_algo": "RSA",
"key_size": 2048,
"cypher_suite": "TLS_AES_128_GCM_SHA256",
"version": "TLSv1.3",
"issuer_name": "Let's Encrypt Authority X3",
"not_before": "2020-11-24T05:02:10Z",
"not_after": "2021-02-22T05:02:10Z",
"valid": true
},
"scheme": "https"
}]
Will return leak results:
$ curl -sqH'Accept: application/json' 'https://leakix.net/search?q=*&scope=leak'|jq
[{
"ip": "114.116.99.151",
"port": "9200",
"type": "elasticsearch",
"time": "2020-12-27T15:20:56Z",
"date": 1609082456,
"data": "Indices: 17, document count: 155173547, size: 51.5 GB\nFound index read_me with 1 documents (4.8 kB)\n...",
"headers": null,
"plugin": "ElasticSearchExplorePlugin",
"network": {
"organization_name": "China Unicom Beijing Province Network",
"asn": 4808
},
"geoip": {
"continent_name": "Asia",
"region_iso_code": "",
"city_name": "",
"country_iso_code": "CN",
"country_name": "China",
"region_name": "",
"location": {
"lat": 34.7725,
"lon": 113.7266
}
},
"dataset": {
"rows": 155173547,
"size": 51532741696,
"databases": 17,
"infected": true
}
}]